Index: perl/modules/Facebook/README
===================================================================
--- perl/modules/Facebook/README	(revision f4d1717a19cebf35e174b19a4b98e77ee60400a4)
+++ perl/modules/Facebook/README	(revision 6c3d4ad4fbaa3ff47e82640496ff54fe95ac4029)
@@ -32,4 +32,6 @@
     and blocks the entire BarnOwl interface.  We need to confront
     Perl's threading demon.
+  * Need to detect if you have two friends with the same name and
+    disambiguate if so.
   * No messaging support.
   * No auto-completion support.
Index: perl/modules/Facebook/lib/BarnOwl/Message/Facebook.pm
===================================================================
--- perl/modules/Facebook/lib/BarnOwl/Message/Facebook.pm	(revision f4d1717a19cebf35e174b19a4b98e77ee60400a4)
+++ perl/modules/Facebook/lib/BarnOwl/Message/Facebook.pm	(revision 6c3d4ad4fbaa3ff47e82640496ff54fe95ac4029)
@@ -22,5 +22,5 @@
     # TODO: Support for direct messages
     # XXX: It seems that Facebook may not support this yet
-    return BarnOwl::quote('facebook-comment', $self->{postid});
+    return BarnOwl::quote('facebook-comment', $self->{post_id});
 }
 
@@ -35,8 +35,8 @@
     # XXX I hope $filter isn't used for anything besides display purposes
     if($inst) {
-        $filter = "facebook: " . $self->{name} . " " . $self->{postid};
+        $filter = "facebook: " . $self->{name} . " " . $self->{post_id};
         BarnOwl::command("filter", $filter,
                          qw{type ^facebook$ and name_id}, '^'.$self->{name_id}.'$',
-                         qw{and postid}, '^'.$self->{postid}.'$');
+                         qw{and post_id}, '^'.$self->{post_id}.'$');
     } else {
         $filter = "facebook: " . $self->{name};
Index: perl/modules/Facebook/lib/BarnOwl/Module/Facebook.pm
===================================================================
--- perl/modules/Facebook/lib/BarnOwl/Module/Facebook.pm	(revision f4d1717a19cebf35e174b19a4b98e77ee60400a4)
+++ perl/modules/Facebook/lib/BarnOwl/Module/Facebook.pm	(revision 6c3d4ad4fbaa3ff47e82640496ff54fe95ac4029)
@@ -102,5 +102,5 @@
 BarnOwl::new_command('facebook-comment' => \&cmd_facebook_comment, {
     summary     => 'Comment on a wall post.',
-    usage       => 'facebook-comment POSTID',
+    usage       => 'facebook-comment POST_ID',
     description => 'Comment on a friend\'s wall post.  Using r is recommended.'
 });
@@ -130,12 +130,12 @@
 sub cmd_facebook_comment {
     my $cmd  = shift;
-    my $postid = shift;
+    my $post_id = shift;
 
-    my $topic = $facebook_handle->get_topic($postid);
+    my $topic = $facebook_handle->get_topic($post_id);
 
     # XXX UI should give some (better) indication /which/ conversation
     # is being commented on
     BarnOwl::start_edit_win("Write a comment on '$topic'...",
-                            sub { $facebook_handle->facebook_comment($postid, shift) });
+                            sub { $facebook_handle->facebook_comment($post_id, shift) });
 }
 
Index: perl/modules/Facebook/lib/BarnOwl/Module/Facebook/Handle.pm
===================================================================
--- perl/modules/Facebook/lib/BarnOwl/Module/Facebook/Handle.pm	(revision f4d1717a19cebf35e174b19a4b98e77ee60400a4)
+++ perl/modules/Facebook/lib/BarnOwl/Module/Facebook/Handle.pm	(revision 6c3d4ad4fbaa3ff47e82640496ff54fe95ac4029)
@@ -179,5 +179,5 @@
         my $name    = $post->{to}{data}[0]{name} || $post->{from}{name};
         my $name_id = $post->{to}{data}[0]{id} || $post->{from}{id};
-        my $postid  = $post->{id};
+        my $post_id  = $post->{id};
 
         # Only handle post if it's new
@@ -186,5 +186,5 @@
             my @keywords = keywords($post->{name} || $post->{message});
             my $topic = $keywords[0] || 'personal';
-            $self->{topics}->{$postid} = $topic;
+            $self->{topics}->{$post_id} = $topic;
             # XXX indexing is fragile
             my $msg = BarnOwl::Message->new(
@@ -196,5 +196,5 @@
                 direction => 'in',
                 body      => $self->format_body($post),
-                postid    => $postid,
+                post_id    => $post_id,
                 topic     => $topic,
                 time      => asctime(localtime $created_time),
@@ -206,5 +206,5 @@
             BarnOwl::queue_message($msg);
         } else {
-            $self->{topics}->{$postid} = $old_topics->{$postid} || 'personal';
+            $self->{topics}->{$post_id} = $old_topics->{$post_id} || 'personal';
         }
 
@@ -227,6 +227,6 @@
                     direction => 'in',
                     body      => $comment->{message},
-                    postid    => $postid,
-                    topic     => $self->get_topic($postid),
+                    post_id    => $post_id,
+                    topic     => $self->get_topic($post_id),
                     time      => asctime(localtime $comment_time),
                    );
@@ -279,8 +279,8 @@
     my $self = shift;
 
-    my $postid = shift;
+    my $post_id = shift;
     my $msg = shift;
 
-    $self->{facebook}->add_comment( $postid )->set_message( $msg )->publish;
+    $self->{facebook}->add_comment( $post_id )->set_message( $msg )->publish;
     $self->sleep(0);
 }
@@ -326,7 +326,7 @@
     my $self = shift;
 
-    my $postid = shift;
-
-    return $self->{topics}->{$postid} || 'personal';
+    my $post_id = shift;
+
+    return $self->{topics}->{$post_id} || 'personal';
 }
 
